<template>
    <transition name="fade">
        <div class="detailed-information">
            <span class="detailed-information__title">{{title}}</span>
            <span class="detailed-information__value" v-if="!link || link.length === 0">{{value}}</span>
            <a class="detailed-information__value link" v-else :href="link" target="_blank">{{value}}</a>
        </div>
    </transition>
</template>

<script>
    export default {
        name: "DetailedInformation",
        props: ['title', 'value', 'link']
    }
</script>
